curl --request PUT \
--url https://{base_url_domain}/api/global/v1/shipping/retailers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "walmart",
"name": "Walmart",
"status": "active",
"fulfillment_model": "wholesale",
"merchant": {
"code": "acme_inc",
"name": "ACME Inc.",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
},
"parent_retailer": {
"type": "Retailer",
"id": 2
},
"legal_name": "Walmart Inc.",
"dba": "Walmart Marketplace",
"default_duties_payor": "recipient",
"default_shipping_method": "fedex_FEDEX_GROUND",
"allowed_shipping_methods": [
"fedex_FEDEX_GROUND",
"ups_GND"
],
"default_tpb_group_id": 5,
"routing_guide_notes": "<string>",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/retailers/{id}"
payload = {
"code": "walmart",
"name": "Walmart",
"status": "active",
"fulfillment_model": "wholesale",
"merchant": {
"code": "acme_inc",
"name": "ACME Inc.",
"custom_fields": {
"is_gift": { "value": True },
"order_details": { "value": "test details" },
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": { "value": 42 }
}
},
"parent_retailer": {
"type": "Retailer",
"id": 2
},
"legal_name": "Walmart Inc.",
"dba": "Walmart Marketplace",
"default_duties_payor": "recipient",
"default_shipping_method": "fedex_FEDEX_GROUND",
"allowed_shipping_methods": ["fedex_FEDEX_GROUND", "ups_GND"],
"default_tpb_group_id": 5,
"routing_guide_notes": "<string>",
"custom_fields": {
"is_gift": { "value": True },
"order_details": { "value": "test details" },
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": { "value": 42 }
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'walmart',
name: 'Walmart',
status: 'active',
fulfillment_model: 'wholesale',
merchant: {
code: 'acme_inc',
name: 'ACME Inc.',
custom_fields: {
is_gift: {value: true},
order_details: {value: 'test details'},
department: {id: 3, label: 'Shipping'},
priority_levels: [{id: 1, label: 'Urgent'}, {id: 2, label: 'High'}],
cost_of_goods: {amount: 156.99, currency: 'USD'},
assigned_user: {value: 42}
}
},
parent_retailer: {type: 'Retailer', id: 2},
legal_name: 'Walmart Inc.',
dba: 'Walmart Marketplace',
default_duties_payor: 'recipient',
default_shipping_method: 'fedex_FEDEX_GROUND',
allowed_shipping_methods: ['fedex_FEDEX_GROUND', 'ups_GND'],
default_tpb_group_id: 5,
routing_guide_notes: '<string>',
custom_fields: {
is_gift: {value: true},
order_details: {value: 'test details'},
department: {id: 3, label: 'Shipping'},
priority_levels: [{id: 1, label: 'Urgent'}, {id: 2, label: 'High'}],
cost_of_goods: {amount: 156.99, currency: 'USD'},
assigned_user: {value: 42}
},
created_at: '2017-07-21T17:32:28Z',
updated_at: '2017-07-21T17:39:43Z'
})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/retailers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Update Retailer
Updates a Retailer specified by its id path parameter and according to the request body.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the referenced Retailer.
x >= 1Body
An object conforming to the Retailer schema to be merged with the existing Retailer.
A Retailer represents a B2B retail partner for a merchant, including fulfillment defaults and retailer-specific custom fields.
Unique retailer code within the merchant.
1 - 64"walmart"
Retailer display name.
1 - 255"Walmart"
Retailer lifecycle status.
active, on_hold, terminated "active"
Default fulfillment model used for this retailer.
wholesale, drop_ship, mixed "wholesale"
The merchant that owns this retailer.
Show child attributes
Show child attributes
Optional parent retailer reference. The parent must belong to the same merchant.
Optional Field
Show child attributes
Show child attributes
Legal retailer name.
Optional Field
255"Walmart Inc."
Doing-business-as name.
Optional Field
255"Walmart Marketplace"
Default duties payor for order-integration defaults.
Optional Field
shipper, recipient, third_party "recipient"
Default shipping method for order-integration defaults.
Optional Field
255"fedex_FEDEX_GROUND"
Shipping methods allowed when this retailer is selected.
Optional Field
["fedex_FEDEX_GROUND", "ups_GND"]
Default shipping third-party billing group ID for order-integration defaults.
Optional Field
x >= 15
Free-form routing-guide notes.
Optional Field
65535Custom fields associated with the retailer in script format. Each field contains
a code and value, with additional properties depending on the field type.
Optional Field
Show child attributes
Show child attributes
{
"is_gift": { "value": true },
"order_details": { "value": "test details" },
"department": { "id": 3, "label": "Shipping" },
"priority_levels": [
{ "id": 1, "label": "Urgent" },
{ "id": 2, "label": "High" }
],
"cost_of_goods": { "amount": 156.99, "currency": "USD" },
"assigned_user": { "value": 42 }
}
The date and time the retailer was created in RFC 3339 section 5.6 notation.
Optional Field
"2017-07-21T17:32:28Z"
The date and time the retailer was last updated in RFC 3339 section 5.6 notation.
Optional Field
"2017-07-21T17:39:43Z"
Response
OK - The operation completed successfully and there is no response body.
Was this page helpful?